Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.api
Interface Processor

public interface Processor
extends Stage, EventSink

Processors filter, correlate, aggregate, and perform other event processing functions. These functions are specified in some high-level language other than Java, as determined by the returned URI.

Inner Class Summary
`static class` | `Processor.ClockType`

Method Summary
`void` | `addDataProvider(DataProvider source)` In addition to receiving and sending events, a processor can poll data providers to be able to merge the streaming events with static data.
`void` | `addDataProvider(java.lang.String typeName, DataProvider source)` In addition to receiving and sending events, a processor can poll data providers to be able to merge the streaming events with static data.
`Statement` | `createStatement(java.lang.String query)` Compile query using the supplied query string parameter.
`Statement` | `createStatement(java.lang.String query, java.lang.String queryId)` Compile query using the supplied query string parameter and query id.
`Processor.ClockType` | `getClockType()`
`EventTypeRepository` | `getEventTypeRepository()` Returns repository for types defined within the application.
`StatementManager` | `getStatementManager()` Returns statement manager for accessing compiled statements defined for this processor.
`long` | `getTime()`
`java.util.List` | `loadStatements(java.net.URL location)` Load queries from an XML document located at the specified URL.
`void` | `setClockType(Processor.ClockType clockType)`
`void` | `setDelegateClassLoader(java.lang.ClassLoader delegateLoader)` Sets the ClassLoader to use to resolve user defined functions.
`void` | `setFunctionBeans(java.util.Map beans)` Sets map of beans containing user-defined functions for this processor.
`void` | `setTime(long timeInMillis)`

Methods inherited from interface com.bea.wlevs.ede.api.EventSink
`onEvent`

Method Detail

### loadStatements

    public java.util.List loadStatements(java.net.URL location)
                                  throws MultiStatementException

  Load queries from an XML document located at the specified URL. Parameterized queries and their associated parameter value bindings may optionally be included as well. The XML document may be the entire processor configuration file or a subset containing the rules element and optionally the bindings element as shown below:

          <processor
             <rules>
                <rule id="rule1"><![CDATA[
                   select stockSymbol, perc(price) as percentage
                   from StockTick retain 10 events
                   where stockSymbol='ACME'
                   having perc(price) > 10.0 or perc(price) < -10.0
                ]]></rule>
                <rule id="rule2"><![CDATA[
                   select stockSymbol, perc(price) as percentage
                   from StockTick retain 10 events
                   where stockSymbol=?
                   having perc(price) > ? or perc(price) < ?
                ]]></rule>
             </rules>
             <bindings>
                <binding>
                   <params>ORCL,5.0,-5.0</params>
                   <params>BEAS,10.0,-10.0</params>
                </binding>
             </bindings>
          </processor>

  Parameters:
    `location` - URL location of XML document
  Throws:
    MultiStatementException - aggregation of any exceptions that occur during query compilation.

### createStatement

    public Statement createStatement(java.lang.String query)
                              throws StatementException

  Compile query using the supplied query string parameter. A query id will be generated in this case.

  Parameters:
    `query` - query string to compile
  Throws:
    StatementException - if exception occurs during query compilation.

### createStatement

    public Statement createStatement(java.lang.String query,
                                     java.lang.String queryId)
                              throws StatementException

  Compile query using the supplied query string parameter and query id. The query id must be unique for this processor.

  Parameters:
    `query` - query string to compile
    `queryId` - ID for query unique over this processor
  Throws:
    StatementException - if exception occurs during query compilation.

### getEventTypeRepository

    public EventTypeRepository getEventTypeRepository()

  Returns repository for types defined within the application.

  Returns:
    EventTypeRepository for types defined within the application.

### getStatementManager

    public StatementManager getStatementManager()

  Returns statement manager for accessing compiled statements defined for this processor.

  Returns:
    StatementManager for accessing compiled statements defined for this processor.

### addDataProvider

    public void addDataProvider(DataProvider source)

  In addition to receiving and sending events, a processor can poll data providers to be able to merge the streaming events with static data.

  Parameters:
    `source` - - data provider.

### addDataProvider

    public void addDataProvider(java.lang.String typeName,
                                DataProvider source)

  In addition to receiving and sending events, a processor can poll data providers to be able to merge the streaming events with static data.

  Parameters:
    `typeName` - - type of data being provided
    `source` - - data provider.

### setFunctionBeans

    public void setFunctionBeans(java.util.Map beans)

  Sets map of beans containing user-defined functions for this processor.

  Parameters:
    `source` - - reference to bean in the form of a map.

### setDelegateClassLoader

    public void setDelegateClassLoader(java.lang.ClassLoader delegateLoader)

  Sets the ClassLoader to use to resolve user defined functions.

  Parameters:
    `delegateLoader` -

### setTime

    public void setTime(long timeInMillis)

### getTime

    public long getTime()

### getClockType

    public Processor.ClockType getClockType()

### setClockType

    public void setClockType(Processor.ClockType clockType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.